Package com.beust.jcommander.validators

# Class NoValidator

java.lang.Object
com.beust.jcommander.validators.NoValidator

All Implemented Interfaces:
  `IParameterValidator`

public class NoValidator extends Object implements IParameterValidator
This is the default value of the validateWith attribute.

## Constructor Summary

Constructors
Constructor
Description
`NoValidator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`validate(String parameterName, String parameterValue)`
Validate the parameter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NoValidator

public NoValidator()

## Method Details

### validate

public void validate(String parameterName, String parameterValue) throws ParameterException
Description copied from interface: `IParameterValidator`
Validate the parameter.

Specified by:
  `validate` in interface `IParameterValidator`
Parameters:
  `parameterName` - The name of the parameter (e.g. "-host").
  `parameterValue` - The value of the parameter that we need to validate
Throws:
  `ParameterException` - Thrown if the value of the parameter is invalid.